### Method

# Clapper MediaItem get_title

#### Declaration [src]

    gchar*
    clapper_media_item_get_title (
      ClapperMediaItem* item
    )

#### Description [src]

Get media item title.

The title can be either text detected by media discovery once it completes. Otherwise whenever possible this will try to return a title extracted from media URI e.g. basename without extension for local files.

Gets property | `Clapper.MediaItem:title`

#### Return value

Type: `gchar*`

Media title.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.